Change a connection
View as MarkdownPATCH
/v1/connections/{id}Renames a connection, changes its settings or replaces its credentials (checked with the destination first). Owners and admins only.
curl -X PATCH "https://api.lydie.co/v1/connections/01JCQ3V5MZ8G4ZK2X7T9R6N1PB" \
-H "Authorization: Bearer $LYDIE_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Path parameters
Body
- settingsobject
- credentialsobject
Response
- connectionConnection
A destination account. Credentials are never returned.
Show 15 fieldsHide fields
- warningsstring[]
{
"connection": {
"id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
"connector": "string",
"name": "Notes",
"authMethod": "token",
"settings": {},
"credentialsHint": null,
"account": null,
"status": "active",
"lastError": null,
"lastValidatedAt": null,
"createdBy": null,
"updatedBy": null,
"createdAt": "2026-11-12T09:30:00.000Z",
"updatedAt": "2026-11-12T09:30:00.000Z"
},
"warnings": [
"string"
]
}Errors use one envelope for every endpoint. See Errors and versions.